summaryrefslogtreecommitdiff
path: root/app/lzo/util/checkasm.sh
diff options
context:
space:
mode:
authorParménides GV <parmegv@sdf.org>2014-04-09 16:03:55 +0200
committerParménides GV <parmegv@sdf.org>2014-04-09 16:07:34 +0200
commit1684c8f398922065a97e7da4dac4ac6a33cc5218 (patch)
tree76a4b11ae0d7b217c088f3c2b8fc7e69a7b8ae0d /app/lzo/util/checkasm.sh
parentb9a2b085a8f508cd09e2639c70be845c992c4a3e (diff)
Back to the standard "app" module.
This return to "app" instead of "bitmask_android" is due to this reading: https://developer.android.com/sdk/installing/studio-build.html#projectStructure I'll have to tweak the final apk name in build.gradle.
Diffstat (limited to 'app/lzo/util/checkasm.sh')
-rw-r--r--app/lzo/util/checkasm.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/app/lzo/util/checkasm.sh b/app/lzo/util/checkasm.sh
new file mode 100644
index 00000000..63ed2b87
--- /dev/null
+++ b/app/lzo/util/checkasm.sh
@@ -0,0 +1,46 @@
+#! /bin/sh
+set -e
+
+#
+# usage: util/checkasm.sh [directory]
+#
+# This script runs lzotest with all assembler decompressors
+# on a complete directory tree.
+# It is not suitable for accurate timings.
+#
+# Copyright (C) 1996-2011 Markus Franz Xaver Johannes Oberhumer
+#
+
+LZOTEST="lzotest"
+test -x ./lzotest/lzotest && LZOTEST="./lzotest/lzotest"
+test -x ./lzotest.exe && LZOTEST="./lzotest.exe"
+test -x ./lzotest.out && LZOTEST="./lzotest.out"
+LFLAGS="-q"
+
+dir="${*-.}"
+
+TMPFILE="/tmp/lzo_$$.tmp"
+rm -f $TMPFILE
+(find $dir/ -type f -print > $TMPFILE) || true
+
+for i in 11; do
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -A
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -A -S
+done
+
+for i in 61; do
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -F
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -F -S
+done
+
+for i in 71 81; do
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -A
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -A -S
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -F
+ cat $TMPFILE | $LZOTEST -m${i} -@ $LFLAGS -F -S
+done
+
+rm -f $TMPFILE
+echo "Done."
+exit 0
+